@use "theme";

:root {
    --grid-gap: #{theme.$spacing07};
    --grid-gap-sm: #{theme.$spacing04};
    --grid-gap-md: #{theme.$spacing08};
    --grid-gap-lg: #{theme.$spacing09};
    --grid-gap-xl: #{theme.$spacing11};
    --min-container-width: 280px;
    --max-reading-width: 90ch;
    --color-palatinate-blue: #{theme.$colorBrand};
    --color-sky-blue: #{theme.$colorBrandSecondary};
    --color-orange: #{theme.$colorBrandTertiary};
    --color-sky-blue-bright-60: color-mix(in srgb, var(--color-sky-blue) 60%, white);
    --color-sky-blue-bright-50: color-mix(in srgb, var(--color-sky-blue) 50%, white);
    --color-sky-blue-bright-35: color-mix(in srgb, var(--color-sky-blue) 35%, white);
    --color-gray-500: #{theme.$colorPaletteGray500};
    --color-gray-800: #{theme.$colorPaletteGray800};
    --color-link: #{theme.$colorTextLink};
    --border-radius-xl: #{theme.$borderRadiusXLarge};
    --border-radius-lg: #{theme.$borderRadiusLarge};
    --border-radius-md: #{theme.$borderRadiusMedium};
    --font-weight-md: #{theme.$fontWeightSemiBold};
    --color-font-dark-blue: color-mix(in srgb, var(--color-palatinate-blue) 25%, black);
    --font-family-paragraph: "Source Sans Pro", sans-serif;
}
